Imagick::setImageCompose
Imagick::setImageCompressionQuality
Imagick
PHP Manual

# Imagick::setImageCompression

(PECL imagick 2.0.0)

Imagick::setImageCompression — Sets the image compression

### Description

bool Imagick::setImageCompression ( int `$compression` )

### Parameters

`compression`

  One of the `COMPRESSION` constants

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::setImageCompose
Imagick::setImageCompressionQuality
Imagick
PHP Manual